Package fr.gouv.vitam.functional.administration.core.rules

# Class FileRulesManagementReport

java.lang.Object
fr.gouv.vitam.functional.administration.core.rules.FileRulesManagementReport

public class FileRulesManagementReport extends Object
Data Transfer Object Model of Reporting File Rule Management

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileRulesManagementReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HashMap<String,Object>`
  `getErrors()`
  `List<String>`
  `getFileRulesToDelete()`
  `List<String>`
  `getFileRulesToImport()`
  `List<String>`
  `getFileRulesToUpdate()`
  `HashMap<String,String>`
  `getJdo()`
  `List<String>`
  `getUsedFileRulesToDelete()`
  `List<String>`
  `getUsedFileRulesToUpdate()`
  `List<String>`
  `getUsedRulesWithDurationModeUpdate()`
  `void`
  `setError(HashMap<String,Object> errors)`
  `void`
  `setFileRulesToDelete(List<String> fileRulesToDelete)`
  `void`
  `setFileRulesToImport(List<String> fileRulesToImport)`
  `void`
  `setFileRulesToUpdate(List<String> fileRulesToUpdate)`
  `void`
  `setJdo(HashMap<String,String> jdo)`
  `void`
  `setUsedFileRulesToDelete(List<String> usedFileRulesToDelete)`
  `void`
  `setUsedFileRulesToUpdate(List<String> usedFileRulesToUpdate)`
  `void`
  `setUsedRulesWithDurationModeUpdate(List<String> usedRulesWithDurationModeUpdate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileRulesManagementReport

    public FileRulesManagementReport()

- ## Method Details

  - ### getFileRulesToImport

    public List<String> getFileRulesToImport()
    Returns:

  - ### setFileRulesToImport

    public void setFileRulesToImport(List<String> fileRulesToImport)
    Parameters:
      `fileRulesToImport` -

  - ### getFileRulesToUpdate

    public List<String> getFileRulesToUpdate()
    Returns:

  - ### setFileRulesToUpdate

    public void setFileRulesToUpdate(List<String> fileRulesToUpdate)
    Parameters:
      `fileRulesToUpdate` -

  - ### getFileRulesToDelete

    public List<String> getFileRulesToDelete()
    Returns:

  - ### setFileRulesToDelete

    public void setFileRulesToDelete(List<String> fileRulesToDelete)
    Parameters:
      `fileRulesToDelete` -

  - ### getUsedFileRulesToDelete

    public List<String> getUsedFileRulesToDelete()

  - ### setUsedFileRulesToDelete

    public void setUsedFileRulesToDelete(List<String> usedFileRulesToDelete)

  - ### getUsedFileRulesToUpdate

    public List<String> getUsedFileRulesToUpdate()

  - ### setUsedFileRulesToUpdate

    public void setUsedFileRulesToUpdate(List<String> usedFileRulesToUpdate)

  - ### getUsedRulesWithDurationModeUpdate

    public List<String> getUsedRulesWithDurationModeUpdate()

  - ### setUsedRulesWithDurationModeUpdate

    public void setUsedRulesWithDurationModeUpdate(List<String> usedRulesWithDurationModeUpdate)

  - ### getJdo

    public HashMap<String,String> getJdo()
    Returns:

  - ### setJdo

    public void setJdo(HashMap<String,String> jdo)
    Parameters:
      `jdo` -

  - ### getErrors

    public HashMap<String,Object> getErrors()
    Returns:

  - ### setError

    public void setError(HashMap<String,Object> errors)
    Parameters:
      `errors` -